View Issue Details

IDProjectCategoryView StatusLast Update
0004624mantisbtfeaturepublic2019-03-16 20:20
ReporterMFWSchmidt Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0004624: Add filtered summary
Description

For project management it is desirable to quickly get summary reports on certain subsets of all issues, e.g. issues of a given category only.

Additional Information

With the advanced filtering method of mantis 0.19 this could be realized by adding an additional function to the "Viewing issues ( )" box besides [Print Reports][CSV Export]: [Filtered Summary]. It summarizes exactly the issues shown with the current filter applied.

The filtered summary should also be presentable graphically.

Tagsreporting

Relationships

has duplicate 0009405 closedatrol Enable filtering of jpgraph extended summary display 
related to 0021931 closedcproensa Filtered Summary 

Activities

skipole

skipole

2006-03-12 00:44

reporter   ~0012326

This is exactly what I need. One use case is that I am interested in is to examine issues that have arisen in a release version of the software versus a version of the software under development. I could create separate projects for these different versions, but it would be better to use the "product version" field to differentiate the issues.

MFWSchmidt

MFWSchmidt

2009-02-23 08:20

reporter   ~0020921

Last edited: 2009-02-23 10:29

I had written this request when we used Mantis version 0.19 (some years ago (-: ).
Now we are using version 1.1.6, but today a colleague of mine requested exactly this feature again.
Up to now the team had used different sub projects e.g. for development, system testing, acceptance testing etc. but this had the drawback that the tickets are scattered over several (virtual) sub projects. Now they are using "category" to differentiate between these aspects and need a simple way to report on these sub projects.
This issue is related to 0004969 which is actually in state "acknowledged" and would cover also the functionality requested by this issue.
I hope, this issue gets in the focus again.

thraxisp

thraxisp

2009-02-25 21:49

reporter   ~0020945

I think that this is implemented in the "graph" link off of the view issues page in the 1.1.x stream. It uses the current filter to generate a graph.

Is this what you are looking for?

MFWSchmidt

MFWSchmidt

2009-03-03 12:12

reporter   ~0020989

No, that is not the thing I am looking for.

What I mean is a summary page exactly like the one I get using "summary" in the menu - but which shows only the results passing the currently active filter.
Currently in summary_page.php a specific SQL-statement is defined and used. Instead a function like filter_get_bug_rows from the filter api could be used.

The requested summary could be provided in addition to the current one just besides the mentioned "graph" link and could be called "filtered summary".
And like the current one, it should provide an "Advanced summary" in graphical form.

wschneider

wschneider

2009-03-18 06:28

reporter   ~0021084

This is the same I wanted to suggest some days ago (see 0009405).

cproensa

cproensa

2019-02-14 12:09

developer   ~0061494

Fixed as related issue 0021931

Issue History

Date Modified Username Field Change
2004-09-28 07:20 MFWSchmidt New Issue
2006-03-12 00:44 skipole Note Added: 0012326
2009-02-23 08:09 MFWSchmidt Tag Attached: reporting
2009-02-23 08:20 MFWSchmidt Note Added: 0020921
2009-02-23 10:29 MFWSchmidt Note Edited: 0020921
2009-02-25 21:49 thraxisp Note Added: 0020945
2009-02-25 21:49 thraxisp Assigned To => thraxisp
2009-02-25 21:49 thraxisp Status new => feedback
2009-03-03 12:12 MFWSchmidt Note Added: 0020989
2009-03-18 06:28 wschneider Note Added: 0021084
2009-05-19 19:29 thraxisp Assigned To thraxisp =>
2009-05-19 19:29 thraxisp Status feedback => acknowledged
2010-08-15 16:42 atrol Relationship added has duplicate 0009405
2019-01-08 17:38 cproensa Relationship added related to 0021931
2019-01-16 02:30 atrol Target Version => 2.20.0
2019-01-16 02:30 atrol Assigned To => cproensa
2019-01-16 02:30 atrol Status acknowledged => assigned
2019-02-14 12:09 cproensa Status assigned => resolved
2019-02-14 12:09 cproensa Resolution open => fixed
2019-02-14 12:09 cproensa Note Added: 0061494
2019-02-14 15:39 atrol Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed